export const ExitBtnArea = []
export const FLDsource = []
export const FLDbtnArea = []
export const FLDbtnAreaOffset = {y: 0}
export const SLDArea = []
export const DetailbtnArea = []
export const ContentbtnArea = []
export const setpriceArea = []
export const SetPriceBtnArea = []
export const TopArea = []
export const SearchButtonArea = []

export const CloseBtnArea = []

export const page = {
  homepage: Symbol('homepage'),
  product_homepage: Symbol('Product Homepage'),
  set_price: Symbol('Set Price'),
  set_price_modal: Symbol('Set Price Modal'),
  set_price_help_modal: Symbol('Set Price Help Modal'),
  product_contact_modal: Symbol('Product Contact Modal'),
  product_buy_modal: Symbol('Product Buy Modal'),
  product_size_modal: Symbol('Product Size Modal'),
}

export const modalCloseBtnArea = []


export const ProductBuyModalBtnArea = []
export const ProductSizeModalBtnArea = []


export const triggerMoveDelta = 30 //触发滑动操作的移动距离
export const homepage_page_size = 6 //触发滑动操作的移动距离


let _base_context
export const setBaseContext = (context) => {
  _base_context = context
}
export const getBaseContext = () => {
  return _base_context
}

let _base_canvas
export const setBaseCanvas = (canvas) => {
  _base_canvas = canvas
}
export const getBaseCanvas = () => {
  return _base_canvas
}

let _product_context
export const setProductContext = (context) => {
  _product_context = context
}
export const getProductContext = () => {
  return _product_context
}

let _product_canvas
export const setProductCanvas = (canvas) => {
  _product_canvas = canvas
}
export const getProductCanvas = () => {
  return _product_canvas
}